Get GMB Attributes
curl --request GET \
--url https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb-attributes-listimport requests
url = "https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb-attributes-list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/listing/{businessNumber}/gmb-attributes-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Accessibility": [
{
"attributeId": "has_wheelchair_accessible_restroom",
"valueType": "BOOL",
"displayName": "Wheelchair accessible restroom",
"groupDisplayName": "Accessibility",
"valueMetadata": [
{
"value": "true",
"displayName": "Wheelchair accessible restroom"
},
{
"value": "false",
"displayName": "No wheelchair accessible restroom"
}
]
},
{
"attributeId": "has_wheelchair_accessible_seating",
"valueType": "BOOL",
"displayName": "Wheelchair accessible seating",
"groupDisplayName": "Accessibility",
"valueMetadata": [
{
"value": "true",
"displayName": "Wheelchair accessible seating"
},
{
"value": "false",
"displayName": "No wheelchair accessible seating"
}
]
}
],
"Crowd": [
{
"attributeId": "welcomes_lgbtq",
"valueType": "BOOL",
"displayName": "LGBTQ+ friendly",
"groupDisplayName": "Crowd",
"valueMetadata": [
{
"value": "true",
"displayName": "LGBTQ+ friendly"
}
]
},
{
"attributeId": "is_transgender_safespace",
"valueType": "BOOL",
"displayName": "Transgender safespace",
"groupDisplayName": "Crowd",
"valueMetadata": [
{
"value": "true",
"displayName": "Transgender safespace"
}
]
}
],
"Planning": [
{
"attributeId": "requires_appointments",
"valueType": "BOOL",
"displayName": "Appointment required",
"groupDisplayName": "Planning",
"valueMetadata": [
{
"value": "true",
"displayName": "Appointment required"
}
]
}
]
}{
"code": 400,
"message": "Category Id not found"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Listing
Get GMB Attributes
The Get GMB Attributes API fetches the list of applicable GMB attributes for the selected GMB category ID
GET
/
v1
/
listing
/
{businessNumber}
/
gmb-attributes-list
Get GMB Attributes
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business Number.
Query Parameters
Category id.
Code of the country, Possible values are US,CA,AU,PR,NZ,MX,IN,UK,FR,IT.
Response
OK
This is dynamic field. Depends upon request inputs.
Show child attributes
Show child attributes
⌘I